<?php
/**
 * Perforce Swarm
 *
 * @copyright   2013-2020 Perforce Software. All rights reserved.
 * @license     Please see LICENSE.txt in top-level readme folder of this distribution.
 * @version     2020.1/2030377
 */

use Api\IRequest;
use Application\Controller\IndexControllerFactory;
use Search\Controller\SearchApi;
use Laminas\Http\Request;

return [
    'controllers' => [
        'factories' => [
            SearchApi::class => IndexControllerFactory::class,
        ]
    ],
    'router' => [
        'routes' => [
            'api' => [
                'type' => 'literal',
                'options' => [
                    'route' => SearchApi::API_BASE,
                ],
                'may_terminate' => false,
                'child_routes' => [
                    'searchApi' => [
                        'type' => 'Laminas\Router\Http\Segment',
                        'options' => [
                            'route' => '/:version/search',
                            'constraints' => [IRequest::VERSION => SearchApi::API_VERSION],
                        ],
                        'child_routes' => [
                            'search' => [
                                'type' => 'Laminas\Router\Http\Method',
                                'options' => [
                                    'verb' => Request::METHOD_GET,
                                    'defaults' => [
                                        'controller' => SearchApi::class,
                                        'action'     => 'search'
                                    ],
                                ],
                            ],
                        ],
                    ],
                ],
            ],
        ],
    ]
];
